My account
curl --request GET \
--url https://api.simpuru.xyz/me \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.simpuru.xyz/me"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.simpuru.xyz/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"owner": "<string>",
"wallet": {
"address": "<string>",
"balanceLovelace": "<string>"
},
"limits": {
"maxPerPaymentLovelace": "<string>",
"dailyBudgetLovelace": "<string>",
"spentTodayLovelace": "<string>"
},
"purchases": [
{
"id": "<string>",
"listingId": "<string>",
"mode": "instant",
"buyerAddress": "<string>",
"txHash": "<string>",
"status": "<string>",
"events": [
{
"status": "<string>",
"txHash": "<string>",
"at": "<string>"
}
],
"escrow": {
"address": "<string>",
"inputHash": "<string>",
"resultHash": "<string>",
"identifierFromPurchaser": "<string>",
"deadlines": {
"payBy": "<string>",
"submitResult": "<string>",
"unlock": "<string>",
"externalDisputeUnlock": "<string>"
}
},
"verification": "ok"
}
],
"listings": [
{
"id": "<string>",
"title": "<string>",
"description": "<string>",
"priceLovelace": "<string>",
"sellerAddress": "<string>",
"modes": [
"instant"
],
"contentHash": "<string>",
"previewMedia": "<string>",
"category": "Landing Page",
"createdAt": "<string>",
"sales": 123,
"sellerReputation": {
"score": 50,
"basis": 123
}
}
],
"sales": 123,
"sellerReputation": {
"score": 123,
"basis": 123
}
}{
"error": "<string>"
}Account
My account
Wallet balance, agent limits, what I bought (from my wallet or my Simpuru wallet), what I sell, and my seller reputation.
GET
/
me
My account
Authorizations
Session token from POST /auth/verify (7 days).
Response
Account
The wallet I signed in with.
My Simpuru wallet.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes